<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from nan_svmrocplot.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_svmrocplot" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>nan_svmrocplot</refname><refpurpose>plotroc draws the recevier operating characteristic(ROC) curve for an svm-model</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   auc = nan_svmplotroc(training_label, training_instance [, libsvm_options -v cv_fold])
   Use cross-validation on training data to get decision values and plot ROC curve.
   auc = nan_svmplotroc(testing_label, testing_instance, model)
   Use the given model to predict testing data and obtain decision values  for ROC
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

load('heart_scale.mat');
nan_svmrocplot(heart_scale_label, heart_scale_inst,'-v 5');

[y,x] = readsparse('heart_scale');
model = nan_svmtrain(y,x);
nan_svmrocplot(y,x,model);

   ]]></programlisting>
</refsection>
</refentry>
